> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses products



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/products
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/products:
    post:
      tags:
        - Products
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessProductsProductCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/BusinessProductsProductCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BusinessProductsProductCreateRequest'
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BusinessProductsSBProductResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessProductsSBProductResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BusinessProductsSBProductResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BusinessProductsProductCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        vendorId:
          type: integer
          format: int64
          nullable: true
        category:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        publishedAt:
          type: string
          format: date-time
          nullable: true
        htmlDescription:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        images:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductImagesProductImageCreateRequest
          nullable: true
        variants:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductVariantsProductVariantCreateRequest
          nullable: true
        options:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductOptionsProductOptionCreateRequest
          nullable: true
      additionalProperties: false
    BusinessProductsSBProductResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        vendor:
          $ref: '#/components/schemas/BusinessProductsSBProductVendorResponse'
        category:
          type: string
          nullable: true
        htmlDescription:
          type: string
          nullable: true
        images:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductImagesSBProductImageResponse
          nullable: true
        variants:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductVariantsSBProductVariantResponse
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        url:
          type: string
          nullable: true
        publishedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BusinessProductsProductImagesProductImageCreateRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        altText:
          type: string
          nullable: true
        productVariantIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
      additionalProperties: false
    BusinessProductsProductVariantsProductVariantCreateRequest:
      type: object
      properties:
        initialPrice:
          type: number
          format: double
          nullable: true
        price:
          type: number
          format: double
        weightUnit:
          type: string
          nullable: true
        weight:
          type: number
          format: double
        taxable:
          type: boolean
        name:
          type: string
          nullable: true
        imageIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        sku:
          type: string
          nullable: true
        upc:
          type: string
          nullable: true
      additionalProperties: false
    BusinessProductsProductOptionsProductOptionCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        values:
          type: string
          nullable: true
      additionalProperties: false
    BusinessProductsSBProductVendorResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
      additionalProperties: false
    BusinessProductsProductImagesSBProductImageResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        height:
          type: integer
          format: int32
        width:
          type: integer
          format: int32
        productVariantIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        url:
          type: string
          nullable: true
        updatedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false
    BusinessProductsProductVariantsSBProductVariantResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        initialPrice:
          type: number
          format: double
          nullable: true
        price:
          type: number
          format: double
        weightUnit:
          type: string
          nullable: true
        weight:
          type: number
          format: double
        taxable:
          type: boolean
        name:
          type: string
          nullable: true
        sku:
          type: string
          nullable: true
        upc:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        productId:
          type: integer
          format: int64
      additionalProperties: false

````